Page MenuHomePhabricator

Blocking IP addresses entering eswiki
Closed, InvalidPublic

Description

I am blocked from editing in Spanish Wikipedia, but am still active editing English Wikipedia, Spanish Wikisource and Wikimedia Commons. I also help students working on projects in all four of these platforms. According to a message appearing for students, banned users are allowed to read Spanish Wikipedia. However, if I enter Spanish Wikipedia in my account (either because I forget to log out or Im trying to reach Spanish Wikisource), the IP gets blocked automatically. This IP block also happens if I try to put a message on my user page asking for an unban, which is also permitted by the rules. This is particularly a problem with school IPs, inconveniencing many people.

To see the message about reading, one has to enter eswiki through a blocked IP address, go to an article and try to edit the article. The message appears over the text box.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2018, 6:55 PM

Hi @Thelmadatter, thanks for reporting this. Could you please check https://mediawiki.org/wiki/How_to_report_a_bug and provide: 1) Steps to reproduce, 2) Expected outcome, and 3) Actual outcome? I am not sure what this task is about. That you cannot edit your user talk page? Or something else?

Aklapper changed the task status from Open to Stalled.Jun 7 2018, 1:40 PM
Aklapper removed -jem- as the assignee of this task.
Aklapper added a subscriber: -jem-.

@Aklapper As far as I can see @Thelmadatter is subject to a site ban at es.wikipedia (cfr. block log). I suggest an invalid status as this is not a software bug. Unblock requests must go through the appropriate on-wiki channels. The blocks the user reposts are probably autoblocks that result when the user tries to use their account at es.wikipedia. Amending the block to remove autoblocks could solve the issue, but, this is not a request for Phabricator as the software is working as expected.

Aklapper closed this task as Invalid.Jun 10 2018, 7:16 PM

Thanks for the clarification.
@Thelmadatter: Closing this task as invalid as per last comment, but please add a comment if I/we misunderstood something. Thanks!

Vvjjkkii renamed this task from Blocking IP addresses entering eswiki to vibaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: MarcoAurelio, Aklapper.
Esteban16 renamed this task from vibaaaaaaa to Blocking IP addresses entering eswiki.Jul 1 2018, 2:27 AM
JJMC89 closed this task as Invalid.Jul 1 2018, 5:53 AM
JJMC89 raised the priority of this task from High to Needs Triage.
JJMC89 updated the task description. (Show Details)
JJMC89 added subscribers: MarcoAurelio, Aklapper.